/*
 * ******************************************************************************************
 *
 * File		: apb_timer.h
 * Author	: GOWIN
 * Function	: Definition of APB Timer
 *
 * ******************************************************************************************
 */

#ifndef __APB_TIMER_H__
#define __APB_TIMER_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include <stddef.h>


/*****************************************************************************
 * Device Specific Peripheral Registers structures
 ****************************************************************************/
#define __RO          volatile const  /* 'read  only' permissions     */
#define __WO          volatile        /* 'write only' permissions     */
#define __RW          volatile        /* 'read/write' permissions     */


/*****************************************************************************
 * APB Timer
 ****************************************************************************/
typedef struct
{
  __RW   unsigned int  CTRL;           /*!< Offset: 0x000 Control Register (R/W)          */
  __RW   unsigned int  VALUE;          /*!< Offset: 0x004 Current Value Register (R/W)    */
  __RW   unsigned int  RELOAD;         /*!< Offset: 0x008 Reload Value Register  (R/W)    */
  union
  {
    __RO    unsigned int  INTSTATUS;   /*!< Offset: 0x00C Interrupt Status Register (R/ ) */
    __WO    unsigned int  INTCLEAR;    /*!< Offset: 0x00C Interrupt Clear Register ( /W)  */
  };
} APB_TIMER_RegDef;


#ifdef __cplusplus
}
#endif


#endif	// __APB_TIMER_H__
