/*
 * ******************************************************************************************
 *
 * File		: apb_timer_dev.h
 * Author	: GOWIN
 * Function	: Device definition of APB Timer
 *
 * ******************************************************************************************
 */

#ifndef __APB_TIMER_DEV_H__
#define __APB_TIMER_DEV_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include "apb_timer.h"
#include "platform.h"


// Definitions ------------------------------------------------------------------------------

/*************************************************************************************
 * An APB Timer device is defined as a user template.
 *************************************************************************************/

/*************************************************************************************
 * "X" represents user customized.
 *************************************************************************************/

#define APB_TIMER_BASE				APB_EXT_BASE/*X*/							// APB Timer address definition
#define DEV_APB_TIMER 				((APB_TIMER_RegDef *)  APB_TIMER_BASE)		// APB Timer device definition

#define IRQ_APB_TIMER_SOURCE		IRQ_GP0_SOURCE/*X*/							// APB Timer interrupt source
#define apb_timer_irq_handler		gp0_irq_handler/*X*/						// APB Timer interrupt handler


#ifdef __cplusplus
}
#endif


#endif	/* __APB_TIMER_DEV_H__ */
